﻿$root = Join-Path "$(Split-Path -Parent $MyInvocation.MyCommand.Definition)" "install"
$packageArgs = @{
	packageName   = $env:ChocolateyPackageName
	unzipLocation = $root
	fileType      = 'msi'
	url           = 'https://golang.org/dl/go1.13.15.windows-386.msi'
	checksum      = '96d2e3b8d2e8f8f7c3344bf5133343e501e0cec98ccfc2a456d0b250f46dd11f'
	checksumType  = 'SHA256'
	url64         = 'https://golang.org/dl/go1.13.15.windows-amd64.msi'
	checksum64    = '7537801caf2991271ac8918a85c58bf011c5d857e171ac6b244ccdf96fbf488f'
	checksumType64= 'SHA256'

	silentArgs    = '/qn /norestart'
	validExitCodes= @(0, 3010, 1641)

}

New-Item -ItemType Directory -Force -Path $root | Out-Null
Install-ChocolateyPackage @packageArgs
